CTERMID(3)

NAME
ctermid - get controlling terminal name

SYNOPSIS
#include <stdio.h>

char *ctermid(char *s);

DESCRIPTION
ctermid() returns a string which is the pathname for the current controlling terminal for this process. If s is NULL, a static buffer is used, otherwise s points to a buffer used to hold the terminal pathname. The symbolic constant L_ctermid is the maximum number of characters in the returned pathname.

RETURN VALUE
The pointer to the pathname.

CONFORMING TO
POSIX.1

BUGS
The path returned may not uniquely identify the controlling terminal; it may, for example, be /dev/tty.

It is not assured that the program can open the terminal.

SEE ALSO
ttyname(3)